Qt 5.9 | Qt 3D | QML Types | ActionInput QML Type

Qt 5.9.9 Reference Documentation

# ActionInput QML Type

QML frontend for the Qt3DInput::QActionInput C++ class. More...

Import Statement: | import Qt3D.Input 2.0
Since: | Qt 5.7
Instantiates: | QActionInput

- List of all members, including inherited members

## Properties

- buttons : list<int>
- sourceDevice : AbstractPhysicalDevice

## Signals

- void buttonsChanged(const QVector<int> &buttons)
- void sourceDeviceChanged()

## Detailed Description

Links a physical device and selected buttons on it which can trigger this action.

Each Action input can be triggered by one or many buttons on a source device

      ActionInput {
        sourceDevice: keyboardSourceDevice
        buttons: [Qt.Key_A]
      }

      ActionInput {
        sourceDevice: keyboardSourceDevice
        buttons: [Qt.Key_A,Qt.Key_B]
      }

## Property Documentation

buttons : list<int>

The Buttons that can trigger this Action.

sourceDevice : AbstractPhysicalDevice

The current source device of the ActionInput

## Signal Documentation

void buttonsChanged(const QVector<int> &buttons)

This signal is emitted when the buttons associated with the action input is changed.

The corresponding handler is `onbuttonsChanged`

void sourceDeviceChanged()

This signal is emitted when the source device associated with the action input is changed.

The corresponding handler is `onSourceDeviceChanged`